import Command from '../command';
import * as flags from '../flags';
export default class Deploy extends Command {
    static description: string;
    static examples: string[];
    static flags: {
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        doc: flags.IOptionFlag<string | undefined>;
        'doc-name': flags.IOptionFlag<string | undefined>;
        hub: flags.IOptionFlag<string | undefined>;
        branch: flags.IOptionFlag<string | undefined>;
        token: flags.IOptionFlag<string | undefined>;
        'auto-create': import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        'dry-run': import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
    };
    static args: {
        name: string;
        required: boolean;
        description: string;
    }[];
    run(): Promise<void>;
}
